| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
System

# Method System.gethostbyaddr()

Method gethostbyaddr

  `array(string|array(string)) gethostbyaddr(string addr)`

Description

  Returns an array with information about the specified IP address.

Returns

  The returned array contains the same information as that returned by gethostbyname() .

Note

  This function only exists on systems that have the gethostbyaddr(2) or similar system call.

See also

  gethostbyname()